API reference
Find checks
Provide the request’s external_id, the user’s external_user_id, or both. Returns check summaries for your company, newest first by default. Search examples.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Query Parameters
external_id?|null
external_user_id?|null
page?Page
Range
1 <= value <= 100000Default
1limit?Limit
Range
1 <= value <= 100Default
25sort?Sort
Length
length <= 40Default
"created_at"direction?Direction
Default
"desc"Value in
- "asc"
- "desc"
q?Q
Length
length <= 200Default
""Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/checks"{ "items": [ { "id": "string", "external_id": "string", "external_user_id": "string", "created_at": "2019-08-24T14:15:22Z", "status": "processing", "verdict": "genuine", "recommendation": "accept", "file_name": "string", "fields": { "bank": "string", "amount": "string", "currency": "string", "type": "string", "status_ok": true, "receipt_number": "string", "paid_at": "2019-08-24T14:15:22Z", "recipient_name": "string", "recipient_account": "string", "payment_reference": "string", "purpose": "string", "sender_name": "string", "commission": "string" }, "match": { "bank": true, "amount": true, "currency": true, "recipient": true, "window": true, "type": true, "status": true, "payment_reference": true }, "seen_before": true, "duplicate_of": "string" } ], "total": 0, "page": 0, "limit": 0, "pages": 0}